#pragma once

class CStickerItem;

class CStickerGroup
{
public:
	CStickerGroup(int nGroupId = -1);
	~CStickerGroup(void);



private:
	typedef std::deque<CStickerItem*>		DEQUE_STICKERITEM;

private:
	DEQUE_STICKERITEM		m_deque;	//save the sticker of current sticker group.
	int						m_nGroupId;	// the sticker group id 
	BOOL					m_bSelected;	//if selected,it is true,or false.default false

public:
	int GetStickerCount(void);
	CStickerItem* GetStickerItem(int index);
	CStickerItem* GetStickerItem(int nGroupId,int nStickerId);
	BOOL IsExistStickerItem(/*CStickerItem* psi*/int gid,int sid);
	void Remove(int groupid,int sid);
	int AddTail(CStickerItem* pSticker);
	int AddFront(CStickerItem* pSticker);
	void SetCurSel(BOOL bSelected = TRUE);
	BOOL IsSelected();
	int GetGroupId();
};
